Subject: [Teas] inclusion of references in protocol feature configuration configuration

From: Lou Berger <[email-masked]>
Date: Fri, 10 Nov 2017 23:29:07 +0800

Hi,
	In reviewing the the yang-te, rsvp and rsvp=te modules I noticed that 
references aren't included in most config groupings/nodes.  Given the 
number of RFCs used to define the mechanisms covered by these modules I 
think it's important to include a reference to the RFC that defines the 
feature/information element covered in the model. I suspect this 
comments is also applicable to other modules.

Thanks,
Lou

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 13 Nov 2017 10:42:04 -0000

FWIW, this used to show up as an issue in MIB modules as well. A Description
clause or a Reference clause would mention another document (such as an RFC) but
would not include it as a square bracket reference (because, importantly, the
module may be extracted as a standalone thing and so can't have a citation style
reference). That meant that some documents that are important are not properly
referenced.

The way we solved this in MIB modules was to include a short note in the text
immediately before the module saying "The module that follows makes reference to
the following documents: [ref1], [ref2], ..."

Adrian

> -----Original Message-----
> From: Teas [mailto:[email-masked]] On Behalf Of Lou Berger
> Sent: 10 November 2017 15:29
> To: [email-masked]; [email-masked];
> [email-masked]
> Cc: [email-masked]
> Subject: [Teas] inclusion of references in protocol feature configuration
> configuration
> 
> Hi,
> _______________________________________________
> Teas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/teas